<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for src/project/userInfo/user.py: 100%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">
<div id="header">
    <div class="content">
        <h1>Coverage for <b>src/project/userInfo/user.py</b> :
            <span class="pc_cov">100%</span>
        </h1>
        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />
        <h2 class="stats">
            37 statements &nbsp;
            <button type="button" class="run shortkey_r button_toggle_run" title="Toggle lines run">37 run</button>
            <button type="button" class="mis show_mis shortkey_m button_toggle_mis" title="Toggle lines missing">0 missing</button>
            <button type="button" class="exc show_exc shortkey_x button_toggle_exc" title="Toggle lines excluded">0 excluded</button>
        </h2>
    </div>
</div>
<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>
<div id="source">
    <p id="t1" class="run"><span class="n"><a href="#t1">1</a></span><span class="t"><span class="key">import</span> <span class="nam">requests</span>&nbsp;</span><span class="r"></span></p>
    <p id="t2" class="run"><span class="n"><a href="#t2">2</a></span><span class="t"><span class="key">import</span> <span class="nam">json</span>&nbsp;</span><span class="r"></span></p>
    <p id="t3" class="run"><span class="n"><a href="#t3">3</a></span><span class="t"><span class="key">import</span> <span class="nam">mysql</span><span class="op">.</span><span class="nam">connector</span>&nbsp;</span><span class="r"></span></p>
    <p id="t4" class="run"><span class="n"><a href="#t4">4</a></span><span class="t"><span class="key">from</span> <span class="nam">flask</span> <span class="key">import</span> <span class="nam">session</span>&nbsp;</span><span class="r"></span></p>
    <p id="t5" class="pln"><span class="n"><a href="#t5">5</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t6" class="pln"><span class="n"><a href="#t6">6</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t7" class="run"><span class="n"><a href="#t7">7</a></span><span class="t"><span class="key">class</span> <span class="nam">User</span><span class="op">(</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t8" class="run"><span class="n"><a href="#t8">8</a></span><span class="t">        <span class="key">def</span> <span class="nam">__init__</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t9" class="run"><span class="n"><a href="#t9">9</a></span><span class="t">                <span class="nam">self</span><span class="op">.</span><span class="nam">email</span> <span class="op">=</span> <span class="str">""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t10" class="run"><span class="n"><a href="#t10">10</a></span><span class="t">                <span class="nam">self</span><span class="op">.</span><span class="nam">first_name</span> <span class="op">=</span> <span class="str">""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t11" class="run"><span class="n"><a href="#t11">11</a></span><span class="t">                <span class="nam">self</span><span class="op">.</span><span class="nam">password</span> <span class="op">=</span> <span class="str">""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t12" class="pln"><span class="n"><a href="#t12">12</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t13" class="pln"><span class="n"><a href="#t13">13</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t14" class="run"><span class="n"><a href="#t14">14</a></span><span class="t">        <span class="key">def</span> <span class="nam">save_to_db</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t15" class="pln"><span class="n"><a href="#t15">15</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t16" class="run"><span class="n"><a href="#t16">16</a></span><span class="t">                <span class="nam">mydb</span> <span class="op">=</span> <span class="nam">mysql</span><span class="op">.</span><span class="nam">connector</span><span class="op">.</span><span class="nam">connect</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t17" class="pln"><span class="n"><a href="#t17">17</a></span><span class="t">                        <span class="nam">host</span><span class="op">=</span><span class="str">"localhost"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t18" class="pln"><span class="n"><a href="#t18">18</a></span><span class="t">                        <span class="nam">user</span><span class="op">=</span><span class="str">"root"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t19" class="pln"><span class="n"><a href="#t19">19</a></span><span class="t">                        <span class="nam">password</span><span class="op">=</span><span class="str">"12345678"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t20" class="pln"><span class="n"><a href="#t20">20</a></span><span class="t">                        <span class="nam">database</span><span class="op">=</span><span class="str">"MarketSummaries"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t21" class="pln"><span class="n"><a href="#t21">21</a></span><span class="t">                        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t22" class="pln"><span class="n"><a href="#t22">22</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t23" class="run"><span class="n"><a href="#t23">23</a></span><span class="t">                <span class="nam">mycursor</span> <span class="op">=</span> <span class="nam">mydb</span><span class="op">.</span><span class="nam">cursor</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t24" class="pln"><span class="n"><a href="#t24">24</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t25" class="pln"><span class="n"><a href="#t25">25</a></span><span class="t">                <span class="com"># build the sql query</span>&nbsp;</span><span class="r"></span></p>
    <p id="t26" class="run"><span class="n"><a href="#t26">26</a></span><span class="t">                <span class="nam">sql</span> <span class="op">=</span> <span class="str">"INSERT INTO MarketUsers(Email,First_Name,Pasword) VALUES (%s, %s, %s)"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t27" class="pln"><span class="n"><a href="#t27">27</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t28" class="run"><span class="n"><a href="#t28">28</a></span><span class="t">                <span class="nam">val</span><span class="op">=</span><span class="op">(</span><span class="nam">self</span><span class="op">.</span><span class="nam">email</span><span class="op">,</span><span class="nam">self</span><span class="op">.</span><span class="nam">first_name</span><span class="op">,</span><span class="nam">self</span><span class="op">.</span><span class="nam">password</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t29" class="pln"><span class="n"><a href="#t29">29</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t30" class="pln"><span class="n"><a href="#t30">30</a></span><span class="t">                <span class="com"># prepare and commit the query for mysql database</span>&nbsp;</span><span class="r"></span></p>
    <p id="t31" class="run"><span class="n"><a href="#t31">31</a></span><span class="t">                <span class="nam">mycursor</span><span class="op">.</span><span class="nam">execute</span><span class="op">(</span><span class="nam">sql</span><span class="op">,</span> <span class="nam">val</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t32" class="pln"><span class="n"><a href="#t32">32</a></span><span class="t">                <span class="com"># mycursor.execute(sql)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t33" class="run"><span class="n"><a href="#t33">33</a></span><span class="t">                <span class="nam">mydb</span><span class="op">.</span><span class="nam">commit</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t34" class="run"><span class="n"><a href="#t34">34</a></span><span class="t">                <span class="key">return</span> <span class="str">"success"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t35" class="pln"><span class="n"><a href="#t35">35</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t36" class="run"><span class="n"><a href="#t36">36</a></span><span class="t">        <span class="key">def</span> <span class="nam">check_if_exist</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span><span class="nam">usr_email</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t37" class="pln"><span class="n"><a href="#t37">37</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t38" class="run"><span class="n"><a href="#t38">38</a></span><span class="t">                <span class="nam">mydb</span> <span class="op">=</span> <span class="nam">mysql</span><span class="op">.</span><span class="nam">connector</span><span class="op">.</span><span class="nam">connect</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t39" class="pln"><span class="n"><a href="#t39">39</a></span><span class="t">                        <span class="nam">host</span><span class="op">=</span><span class="str">"localhost"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t40" class="pln"><span class="n"><a href="#t40">40</a></span><span class="t">                        <span class="nam">user</span><span class="op">=</span><span class="str">"root"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t41" class="pln"><span class="n"><a href="#t41">41</a></span><span class="t">                        <span class="nam">password</span><span class="op">=</span><span class="str">"12345678"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t42" class="pln"><span class="n"><a href="#t42">42</a></span><span class="t">                        <span class="nam">database</span><span class="op">=</span><span class="str">"MarketSummaries"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t43" class="pln"><span class="n"><a href="#t43">43</a></span><span class="t">                        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t44" class="pln"><span class="n"><a href="#t44">44</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t45" class="run"><span class="n"><a href="#t45">45</a></span><span class="t">                <span class="nam">mycursor</span> <span class="op">=</span> <span class="nam">mydb</span><span class="op">.</span><span class="nam">cursor</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t46" class="pln"><span class="n"><a href="#t46">46</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t47" class="pln"><span class="n"><a href="#t47">47</a></span><span class="t">                <span class="com"># mycursor.execute( "SELECT Email, COUNT(*) FROM MarketUsers WHERE Email = %s GROUP BY Email", (usr_email,) )</span>&nbsp;</span><span class="r"></span></p>
    <p id="t48" class="run"><span class="n"><a href="#t48">48</a></span><span class="t">                <span class="nam">mycursor</span><span class="op">.</span><span class="nam">execute</span><span class="op">(</span> <span class="str">"SELECT * FROM MarketUsers WHERE Email like %s "</span><span class="op">,</span> <span class="op">(</span><span class="nam">usr_email</span><span class="op">,</span><span class="op">)</span> <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t49" class="pln"><span class="n"><a href="#t49">49</a></span><span class="t">                <span class="com"># gets the number of rows affected by the command executed</span>&nbsp;</span><span class="r"></span></p>
    <p id="t50" class="run"><span class="n"><a href="#t50">50</a></span><span class="t">                <span class="nam">rows</span> <span class="op">=</span> <span class="nam">mycursor</span><span class="op">.</span><span class="nam">fetchall</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t51" class="run"><span class="n"><a href="#t51">51</a></span><span class="t">                <span class="nam">v</span><span class="op">=</span><span class="op">{</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t52" class="run"><span class="n"><a href="#t52">52</a></span><span class="t">                <span class="key">for</span> <span class="nam">row</span> <span class="key">in</span> <span class="nam">rows</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t53" class="run"><span class="n"><a href="#t53">53</a></span><span class="t">                        <span class="nam">v</span> <span class="op">=</span> <span class="op">{</span><span class="str">"email"</span><span class="op">:</span><span class="nam">row</span><span class="op">[</span><span class="num">0</span><span class="op">]</span><span class="op">,</span><span class="str">"first_name"</span><span class="op">:</span><span class="nam">row</span><span class="op">[</span><span class="num">1</span><span class="op">]</span><span class="op">,</span><span class="str">"password"</span><span class="op">:</span><span class="nam">row</span><span class="op">[</span><span class="num">2</span><span class="op">]</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t54" class="pln"><span class="n"><a href="#t54">54</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t55" class="run"><span class="n"><a href="#t55">55</a></span><span class="t">                <span class="key">if</span> <span class="nam">len</span><span class="op">(</span><span class="nam">v</span><span class="op">)</span> <span class="op">==</span> <span class="num">0</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t56" class="run"><span class="n"><a href="#t56">56</a></span><span class="t">                        <span class="key">return</span> <span class="key">False</span><span class="op">,</span><span class="nam">v</span>&nbsp;</span><span class="r"></span></p>
    <p id="t57" class="pln"><span class="n"><a href="#t57">57</a></span><span class="t">                <span class="key">else</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t58" class="run"><span class="n"><a href="#t58">58</a></span><span class="t">                        <span class="key">return</span> <span class="key">True</span><span class="op">,</span><span class="nam">v</span>&nbsp;</span><span class="r"></span></p>
    <p id="t59" class="pln"><span class="n"><a href="#t59">59</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t60" class="run"><span class="n"><a href="#t60">60</a></span><span class="t">        <span class="key">def</span> <span class="nam">get_user_by_email</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span><span class="nam">email</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t61" class="pln"><span class="n"><a href="#t61">61</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t62" class="run"><span class="n"><a href="#t62">62</a></span><span class="t">                <span class="nam">mydb</span> <span class="op">=</span> <span class="nam">mysql</span><span class="op">.</span><span class="nam">connector</span><span class="op">.</span><span class="nam">connect</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t63" class="pln"><span class="n"><a href="#t63">63</a></span><span class="t">                        <span class="nam">host</span><span class="op">=</span><span class="str">"localhost"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t64" class="pln"><span class="n"><a href="#t64">64</a></span><span class="t">                        <span class="nam">user</span><span class="op">=</span><span class="str">"root"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t65" class="pln"><span class="n"><a href="#t65">65</a></span><span class="t">                        <span class="nam">password</span><span class="op">=</span><span class="str">"12345678"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t66" class="pln"><span class="n"><a href="#t66">66</a></span><span class="t">                        <span class="nam">database</span><span class="op">=</span><span class="str">"MarketSummaries"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t67" class="pln"><span class="n"><a href="#t67">67</a></span><span class="t">                        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t68" class="run"><span class="n"><a href="#t68">68</a></span><span class="t">                <span class="nam">mycursor</span> <span class="op">=</span> <span class="nam">mydb</span><span class="op">.</span><span class="nam">cursor</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t69" class="run"><span class="n"><a href="#t69">69</a></span><span class="t">                <span class="nam">mycursor</span><span class="op">.</span><span class="nam">execute</span><span class="op">(</span> <span class="str">"SELECT * FROM MarketUsers WHERE Email like %s "</span><span class="op">,</span> <span class="op">(</span><span class="nam">email</span><span class="op">,</span><span class="op">)</span> <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t70" class="pln"><span class="n"><a href="#t70">70</a></span><span class="t">                <span class="com"># gets the number of rows affected by the command executed</span>&nbsp;</span><span class="r"></span></p>
    <p id="t71" class="run"><span class="n"><a href="#t71">71</a></span><span class="t">                <span class="nam">values</span> <span class="op">=</span> <span class="nam">mycursor</span><span class="op">.</span><span class="nam">fetchall</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t72" class="run"><span class="n"><a href="#t72">72</a></span><span class="t">                <span class="nam">v</span><span class="op">=</span><span class="op">{</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t73" class="run"><span class="n"><a href="#t73">73</a></span><span class="t">                <span class="key">for</span> <span class="nam">value</span> <span class="key">in</span> <span class="nam">values</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t74" class="run"><span class="n"><a href="#t74">74</a></span><span class="t">                        <span class="nam">v</span> <span class="op">=</span> <span class="op">{</span><span class="str">"email"</span><span class="op">:</span><span class="nam">value</span><span class="op">[</span><span class="num">0</span><span class="op">]</span><span class="op">,</span><span class="str">"first_name"</span><span class="op">:</span><span class="nam">value</span><span class="op">[</span><span class="num">1</span><span class="op">]</span><span class="op">,</span><span class="str">"password"</span><span class="op">:</span><span class="nam">value</span><span class="op">[</span><span class="num">2</span><span class="op">]</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t75" class="pln"><span class="n"><a href="#t75">75</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t76" class="run"><span class="n"><a href="#t76">76</a></span><span class="t">                <span class="key">return</span> <span class="nam">v</span>&nbsp;</span><span class="r"></span></p>
    <p id="t77" class="pln"><span class="n"><a href="#t77">77</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t78" class="pln"><span class="n"><a href="#t78">78</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t79" class="pln"><span class="n"><a href="#t79">79</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t80" class="pln"><span class="n"><a href="#t80">80</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t81" class="pln"><span class="n"><a href="#t81">81</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
</div>
<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v5.3</a>,
            created at 2021-12-30 12:07 +0200
        </p>
    </div>
</div>
</body>
</html>
